[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TNBPages.PageList

List with the TCustomPage instances for the class instance.

## Declaration

Source position: comctrls.pp line 314

`protected property TNBPages.PageList : TListWithEvent read FPageList;`

## Description

PageList is a read-only TListWithEvent property which contains the TCustomPage instances for the class instance.

PageList includes an OnChange event handler used to perform notifications when values are added, retrieved, or deleted in the list. The private PageListChange method implements the handler, and ensures that new items in the list are parented to the control in Notebook.

Most methods in TNBPages are redirected to PageList to get or set their values.

## See also

TListWithEvent |  | Implements a list with an event signalled when values are added or removed.
TListNotification